%global packname  AnnotationDbi
%global Rvers     3.0.0

Name:             R-%{packname}
Version:          1.30.1
Release:          3%{dist}
Summary:          Annotation Database Interface

Group:            Applications/Engineering 
License:          Artistic 2.0 
URL:              http://bioconductor.org/packages/release/bioc/html/%{packname}.html
Source0:          http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

# The suggested requirement are not added here based on:
# - the amount
# - they are mostly database (content)
# - circular dependancies (such as with hgu95av2)
Requires:         R-core >= %{Rvers} R-methods R-utils 
Requires:         R-Biobase R-DBI R-RSQLite R-IRanges R-GenomeInfoDb
BuildRequires:    R-devel >= %{Rvers} tex(latex) R-methods 
BuildRequires:    R-utils R-Biobase R-DBI R-RSQLite R-IRanges-devel
BuildRequires:    R-GenomeInfoDb

%description
Provides user interface and database connection code  for annotation 
data packages using SQLite data storage.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}

# noarch -> Architecture independent package
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)

rm -rf %{buildroot}%{_datadir}/R/library/R.css

rm -f %{buildroot}%{_datadir}/R/library/AnnotationDbi/ProbePkg-template/data/.dummy.txt

%check
# Not performed, the list of metadata asked is too long and not mandatory
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/NEWS
%doc %{_datadir}/R/library/%{packname}/TODO
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/DBschemas
%{_datadir}/R/library/%{packname}/extdata
%{_datadir}/R/library/%{packname}/NOTES-Herve
%{_datadir}/R/library/%{packname}/unitTests
%{_datadir}/R/library/%{packname}/script


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.30.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.30.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 03 2015 pingou <pingou@pingoured.fr> 1.30.1-1
- Update to version 1.30.1

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jul 02 2014 pingou <pingou@pingoured.fr> 1.26.0-1
- Update to version 1.26.0
- Add R and BR on R-GenomeInfoDb

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 27 2014 pingou <pingou@pingoured.fr> 1.24.0-1
- Update to version 1.24.0

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.22.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 16 2013 pingou <pingou@pingoured.fr> 1.22.6-1
- Update to version 1.22.6

* Sun Apr 07 2013 pingou <pingou@pingoured.fr> 1.22.1-1
- Update to version 1.22.1

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 pingou <pingou@pingoured.fr> 1.20.3-1
- Update to version 1.20.3

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> 1.16.0-2
- rebuild for R 2.14.0

* Thu Nov 03 2011 pingou <pingou@pingoured.fr> 1.16.0-1
- Update to version 1.16.0

* Wed Jun 22 2011 pingou <pingou@pingoured.fr> 1.14.1-1
- Update to version 1.14.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 26 2010 pingou <pingou@pingoured.fr> 1.12.0-1
- Update to version 1.12.0

* Sat Sep 11 2010 pingou <pingou@pingoured.fr> 1.10.2-1
- Update to version 1.10.2

* Tue May 11 2010 pingou <pingou@pingoured.fr> 1.10.1-1
- Update to version 1.10.1
- Fix url to a more stable form
- Fix R for latex
- Remove R post/postun

* Sat Mar 27 2010 pingou <pingou@pingoured.fr> 1.8.2-1
- Update to 1.8.2

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 1.8.1-1
- Update to 1.8.1
- Remove the %%post and %%postun
- Adapt %%files to the new R

* Sat Aug 01 2009 pingou <pingou@pingoured.fr> 1.6.1-1
- Update to 1.6.1

* Wed May 06 2009 pingou <pingou@pingoured.fr> 1.6.0-1
- initial package for Fedora
